QML Camera + GStreamer1.0



  • Hi,

    I'd like to run the declarative-camera QML demo on my laptop (Qt5.5.1) and it seems that the Camera API is using GStreamer0.10 by default whereas my system only has GStreamer1.0. Is there a way to change that behavior for QtMultimedia to use GStreamer1.0?
    Right now I get the following errors when I start the app:
    defaultServiceProvider::requestService(): no service found for - "org.qt-project.qt.camera"
    defaultServiceProvider::requestService(): no service found for - "org.qt-project.qt.mediaplayer"

    Regards,
    Gary



  • You should rebuild the GStreamer plugin of QtMultimedia module (or, maybe whole QtMultimedia module). In this case you need has to be installed many of gst-devel packages and so on (see requirements from the config.tests/gstreamer- directories).



  • @kuzulis
    Thanks for your answer, I'll rebuild it.
    Gary


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.